commit:     863f873b65cee0845f5ac745b5595fdf9de7ea97
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 17 23:47:26 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Jun 17 23:54:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=863f873b

dev-python/PyQt-builder: Initial import

Closes: https://bugs.gentoo.org/796005
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/PyQt-builder/Manifest                   |  1 +
 dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild | 22 ++++++++++++++++++++++
 dev-python/PyQt-builder/metadata.xml               | 18 ++++++++++++++++++
 3 files changed, 41 insertions(+)

diff --git a/dev-python/PyQt-builder/Manifest b/dev-python/PyQt-builder/Manifest
new file mode 100644
index 00000000000..c04be8f9ec1
--- /dev/null
+++ b/dev-python/PyQt-builder/Manifest
@@ -0,0 +1 @@
+DIST PyQt-builder-1.10.1.tar.gz 5725429 BLAKE2B 
e7aaa0a3c1eb8aeea0aa5f2d5d7beda1edc46e90c0a21b608d2dffe205a67170daaa6615253706b5f9856a27d66715692ceffe81b9b45eafd4d608df79741d6f
 SHA512 
2e48c1066bb12c1f50700933b0f489158f29f62a1239b570dc053cb042eca9bd4ee83f66b855b0596cfb6dc2e844434c15563abbb3846bf5960d03441f497b83

diff --git a/dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild 
b/dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild
new file mode 100644
index 00000000000..c7f4ec9ff35
--- /dev/null
+++ b/dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="The PEP 517 compliant PyQt build system"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt-builder/ 
https://pypi.org/project/PyQt-builder/ 
https://www.riverbankcomputing.com/static/Docs/PyQt-builder/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+SLOT="0"
+RDEPEND="dev-python/sip[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+src_install() {
+       distutils-r1_src_install
+}

diff --git a/dev-python/PyQt-builder/metadata.xml 
b/dev-python/PyQt-builder/metadata.xml
new file mode 100644
index 00000000000..0a015987072
--- /dev/null
+++ b/dev-python/PyQt-builder/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Qt Project</name>
+       </maintainer>
+       <upstream>
+               <maintainer status="active">
+                       <email>[email protected]</email>
+                       <name>Phil Thompson</name>
+               </maintainer>
+               
<changelog>https://www.riverbankcomputing.com/hg/PyQt-builder/file/tip/NEWS</changelog>
+               
<doc>https://www.riverbankcomputing.com/static/Docs/PyQt-builder/</doc>
+               <bugs-to>mailto:[email protected]</bugs-to>
+               <remote-id type="pypi">PyQt-builder</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to